Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class NamingContextExtPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CosNaming.NamingContextExtPOA
                  |
                  +--org.omg.CosNaming.NamingContextExtPOATie

All Implemented Interfaces:
  InvokeHandler, NamingContextExtOperations, NamingContextOperations

public class NamingContextExtPOATie
extends NamingContextExtPOA

This interface has been introduced for the Interoperable Name Service. This interface extends NamingContext and provides several new methods to manage CORBA URL.

Constructor Summary
`NamingContextExtPOATie(NamingContextExtOperations tieObject)` Constructor
`NamingContextExtPOATie(NamingContextExtOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`NamingContextExtOperations` | `_delegate()` Get the delegate
`void` | `_delegate(NamingContextExtOperations delegate_)` Set the delegate
`void` | `bind_context(NameComponent[] n, NamingContext nc)` Operation bind_context
`NamingContext` | `bind_new_context(NameComponent[] n)` Operation bind_new_context
`void` | `bind(NameComponent[] n, Object obj)` Operation bind
`void` | `destroy()` Operation destroy
`void` | `list(int how_many, BindingListHolder bl, BindingIteratorHolder bi)` Operation list
`NamingContext` | `new_context()` Operation new_context
`void` | `rebind_context(NameComponent[] n, NamingContext nc)` Operation rebind_context
`void` | `rebind(NameComponent[] n, Object obj)` Operation rebind
`Object` | `resolve_str(java.lang.String n)` Operation resolve_str
`Object` | `resolve(NameComponent[] n)` Operation resolve
`NameComponent[]` | `to_name(java.lang.String sn)` Operation to_name
`java.lang.String` | `to_string(NameComponent[] n)` Operation to_string
`java.lang.String` | `to_url(java.lang.String addr, java.lang.String sn)` Operation to_url
`void` | `unbind(NameComponent[] n)` Operation unbind

Methods inherited from class org.omg.CosNaming.NamingContextExtPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingContextExtPOATie

    public NamingContextExtPOATie(NamingContextExtOperations tieObject)

  Constructor

### NamingContextExtPOATie

    public NamingContextExtPOATie(NamingContextExtOperations tieObject,
                                  POA poa)

  Constructor

Method Detail

### _delegate

    public NamingContextExtOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(NamingContextExtOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### to_string

    public java.lang.String to_string(NameComponent[] n)
                               throws InvalidName

  Operation to_string
  Following copied from interface: `org.omg.CosNaming.NamingContextExtOperations`
  Parameters:
    `n` - the name to stringified.
  Throws:
    `InvalidName` - This exception is raised if the name is invalid.

### to_name

    public NameComponent[] to_name(java.lang.String sn)
                            throws InvalidName

  Operation to_name
  Following copied from interface: `org.omg.CosNaming.NamingContextExtOperations`
  Parameters:
    `sn` - the stringified name to transform to a name.
  Throws:
    `InvalideName` - This exception is raised if the stringified name is syntactically malformed or violates an implementation limit.

### to_url

    public java.lang.String to_url(java.lang.String addr,
                                   java.lang.String sn)
                            throws InvalidAddress,
                                   InvalidName

  Operation to_url
  Following copied from interface: `org.omg.CosNaming.NamingContextExtOperations`
  Parameters:
    `addr` - the address ( for example myhost.xyz.com )
    `sn` - the stringified name to add to the URL
  Returns:
    the URL string format.
  Throws:
    `InvalidAddress` - This exception is raises if a address is invalid ( it means that the address does not respect the address format ).
    `InvalidName` - This exception is raised if the stringified name is syntactically malformed or violates an implementation limit.

### resolve_str

    public Object resolve_str(java.lang.String n)
                       throws NotFound,
                              CannotProceed,
                              InvalidName

  Operation resolve_str
  Following copied from interface: `org.omg.CosNaming.NamingContextExtOperations`
  Parameters:
    `n` - the stringified name of the object (or naming context) to resolve
  Returns:
    the resolved object.
  Throws:
    `NotFound` - Indicates the name does not identify a binding.
    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.
    `InvalidName` - Indicates the name is invalid. (A name of length 0 is invalid; implementations may place other restrictions on names.)

### bind

    public void bind(NameComponent[] n,
                     Object obj)
              throws NotFound,
                     CannotProceed,
                     InvalidName,
                     AlreadyBound

  Operation bind
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Parameters:
    `n` - The compound name for the object to bind
    `obj` - The object to bind
  Throws:
    `NotFound` - Indicates the name does not identify a binding.
    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.
    `Indicates` - the name is invalid. (A name of length 0 is invalid; implementations may place other restrictions on names.)
    `AlreadyBound` - Indicates an object is already bound to the specified name. Only one object can be bound to a particular name in a context. The bind and the bind_context operations raise the AlreadyBound exception if the name is bound in the context; the rebind and rebind_context operations unbind the name and rebind the name to the object passed as an argument.

### rebind

    public void rebind(NameComponent[] n,
                       Object obj)
                throws NotFound,
                       CannotProceed,
                       InvalidName

  Operation rebind
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Parameters:
    `n` - The compound name for the object to rebind
    `obj` - The object to rebind
  Throws:
    `NotFound` - Indicates the name does not identify a binding.
    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.
    `InvalidName` - Indicates the name is invalid. (A name of length 0 is invalid; implementations may place other restrictions on names.)
    `AlreadyBound` - Indicates an object is already bound to the specified name. Only one object can be bound to a particular name in a context. The bind and the bind_context operations raise the AlreadyBound exception if the name is bound in the context; the rebind and rebind_context operations unbind the name and rebind the name to the object passed as an argument.

### bind_context

    public void bind_context(NameComponent[] n,
                             NamingContext nc)
                      throws NotFound,
                             CannotProceed,
                             InvalidName,
                             AlreadyBound

  Operation bind_context
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Parameters:
    `n` - The compound name for the naming context to bind
    `obj` - The naming context to bind
  Throws:
    `NotFound` - Indicates the name does not identify a binding.
    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.
    `InvalidName` - Indicates the name is invalid. (A name of length 0 is invalid; implementations may place other restrictions on names.)
    `AlreadyBound` - Indicates an object is already bound to the specified name. Only one object can be bound to a particular name in a context. The bind and the bind_context operations raise the AlreadyBound exception if the name is bound in the context; the rebind and rebind_context operations unbind the name and rebind the name to the object passed as an argument.

### rebind_context

    public void rebind_context(NameComponent[] n,
                               NamingContext nc)
                        throws NotFound,
                               CannotProceed,
                               InvalidName

  Operation rebind_context
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Parameters:
    `n` - The compound name for the naming context to rebind
    `obj` - The naming context to rebind
  Throws:
    `NotFound` - Indicates the name does not identify a binding.
    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.
    `InvalidName` - Indicates the name is invalid. (A name of length 0 is invalid; implementations may place other restrictions on names.)
    `AlreadyBound` - Indicates an object is already bound to the specified name. Only one object can be bound to a particular name in a context. The bind and the bind_context operations raise the AlreadyBound exception if the name is bound in the context; the rebind and rebind_context operations unbind the name and rebind the name to the object passed as an argument.

### resolve

    public Object resolve(NameComponent[] n)
                   throws NotFound,
                          CannotProceed,
                          InvalidName

  Operation resolve
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Parameters:
    `n` - The compound name for the object to resolve.
  Returns:
    the resolved object.
  Throws:
    `NotFound` - Indicates the name does not identify a binding.
    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.
    `InvalidName` - Indicates the name is invalid. (A name of length 0 is invalid; implementations may place other restrictions on names.)

### unbind

    public void unbind(NameComponent[] n)
                throws NotFound,
                       CannotProceed,
                       InvalidName

  Operation unbind
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Parameters:
    `n` - The compound name for the node to unbind ( an object or a naming context )
  Throws:
    `NotFound` - Indicates the name does not identify a binding.
    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.
    `InvalidName` - Indicates the name is invalid. (A name of length 0 is invalid; implementations may place other restrictions on names.)

### new_context

    public NamingContext new_context()

  Operation new_context
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Returns:
    A new naming context ( this new naming context must be binded )

### bind_new_context

    public NamingContext bind_new_context(NameComponent[] n)
                                   throws NotFound,
                                          AlreadyBound,
                                          CannotProceed,
                                          InvalidName

  Operation bind_new_context
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Parameters:
    `n` - The compound name for the naming context to create and to bind.
  Throws:
    `NotFound` - Indicates the name does not identify a binding.
    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.
    `InvalidName` - Indicates the name is invalid. (A name of length 0 is invalid; implementations may place other restrictions on names.)
    `AlreadyBound` - Indicates an object is already bound to the specified name. Only one object can be bound to a particular name in a context.

### destroy

    public void destroy()
                 throws NotEmpty

  Operation destroy
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Throws:
    `NotEmpty` - If the naming context contains bindings, the NotEmpty exception is raised.

### list

    public void list(int how_many,
                     BindingListHolder bl,
                     BindingIteratorHolder bi)

  Operation list
  Following copied from interface: `org.omg.CosNaming.NamingContextOperations`
  Parameters:
    `how_many` - Maximum number of elements into the binding list.
    `bl` - This parameter returns a list that contains all node of the naming context
    `bi` - This parameter returns a binding iterator to iterate in the list.
  Returns:
    The list operation returns at most the requested number of bindings in BindingList bl. - If the naming context contains additional bindings, the list operation returns a BindingIterator with the additional bindings. - If the naming context does not contain additional bindings, the binding iterator is a nil object reference.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD